# Table of Contents

1.  [@forml/decorator-bootstrap](#org4dec357)
    1.  [Documentation](#documentation)
    2.  [Examples](#org3b18bac)
    3.  [Installation](#installation)
    4.  [Usage](#org09cd307)

<a id="org4dec357"></a>

# forml

[![Build Status](https://travis-ci.com/forml-js/forml.svg?branch=master)](https://travis-ci.com/forml-js/forml)
![Libraries.io dependency status for latest release](https://img.shields.io/librariesio/release/npm/@forml/core)
[![Coverage Status](https://coveralls.io/repos/github/forml-js/forml/badge.svg?branch=master)](https://coveralls.io/github/forml-js/forml?branch=master)
![npm](https://img.shields.io/npm/v/@forml/core)
![npm](https://img.shields.io/npm/l/@forml/core)

@forml/decorator-bootstrap - A forml decorator for Bootstrap V4

forml is a lightweight and powerful form generator. Given a JSON schema, it creates React powered forms.
This decorator produces forms designed with Bootstrap V4.

<a id="documentation"></a>

## Documentation

View the documentation at [forml.dev](https://www.forml.dev)!

<a id="org3b18bac"></a>

## Examples

You can view the [running demo](https://forml-js.github.io/forml).

<a id="installation"></a>

## Installation

```bash
# Substitute @forml/decorator-mui with your preferred decorator
npm i @forml/core @forml/decorator-bootstrap
```

<a id="org09cd307"></a>

## Usage

Basic usage is as follows:

```jsx
import { SchemaForm } from "@forml/core";
import * as decorator from "@forml/decorator-bootstrap";
import { useState } from "react";

export function MyForm(props) {
  const [model, setModel] = useState("");
  const schema = { type: "string", title: "Sample Form" };
  const form = ["*"];

  return (
    <SchemaForm
      model={model}
      schema={schema}
      decorator={decorator}
      form={form}
      onChange={onChange}
    />
  );

  function onChange(event, model) {
    setModel(model);
  }
}
```

<a id="contributing"></a>

## Contributing

forml prides itself on being easily extensible. More UI packages are being added and contributions are welcome.
